Loading...
Searching...
No Matches
Opm::FlatTableWithCopy< RecordType > Class Template Reference

## Public Member Functions

| FlatTableWithCopy (const DeckKeyword &kw, std::string_view expect="")
| FlatTableWithCopy (std::initializer_list< RecordType > records)
auto | size () const
bool | empty () const
auto | begin () const
auto | end () const
const RecordType & | operator[] (const std::size_t tableID) const
const RecordType & | at (const std::size_t tableID) const
bool | operator== (const FlatTableWithCopy &other) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Protected Attributes

std::vector< RecordType > | table_ {}

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/Tables/FlatTable.hpp
- opm/input/eclipse/EclipseState/Tables/Tables.cpp